#
# spec file for package perl-App-FatPacker
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-FatPacker
Version:        0.010007
Release:        bp153.1.14
%define cpan_name App-FatPacker
Summary:        Pack Your Dependencies Onto Your Script File
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/App-FatPacker/
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSTROUT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.82
%{perl_requires}

%description
pack your dependencies onto your script file

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.010007
  see /usr/share/doc/packages/perl-App-FatPacker/Changes
  0.010007 - 2017-01-22
  - don't fail packlist finding if one module fails to load
  - don't fail tracing w/undef INC values due to failed optional module load
  0.010_006 - 2017-01-20
  - detect and handle packing from within inc dirs w/version part
  - fix tests to no longer rely on . being in @INC
* Tue Dec 15 2015 coolo@suse.com
- updated to 0.010005
  see /usr/share/doc/packages/perl-App-FatPacker/Changes
  0.010005 - 2015-12-14
  - fix fatpacked code to work properly on perl 5.6 in all cases
  - removed x_static_install metadata (RT#110299)
* Mon Jun 29 2015 coolo@suse.com
- updated to 0.010004
  see /usr/share/doc/packages/perl-App-FatPacker/Changes
  0.010004 - 2015-06-28
  - fix tests to work reliably on win32
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.010003
  see /usr/share/doc/packages/perl-App-FatPacker/Changes
  0.010003 - 2015-04-17
  - exclude virtual %%INC entries from trace output
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.010002
  see /usr/share/doc/packages/perl-App-FatPacker/Changes
  0.010002 - 2014-08-16
  - correctly specify perl prerequisite of 5.8 in meta files
* Sat Mar 22 2014 coolo@suse.com
- updated to 0.010001
  - include 'lib' in @INC for packlists_containing's require() calls
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.010000
  - use object for @INC hook instead of subref, including a 'files' method to
    return a list of files provided
  - generate #line relative to the whole fatpacked script so die() reports and
    caller() now point directly to the right line in the script
    (RT#87118, DOLMEN)
  - deal with relative paths better by changing options passed to File::Find
    (RT#84414, miyagawa)
  - fix fatal "List form of piped open not implemented" on MSWin32 (RT#85712,
    ether)
  - 'file' command now takes care of keeping its original shebang line when given
    the original file as its argument. The 'pack' command makes use of that too.
    (Robin Smidsrod, miyagawa)
  - new 'pack' command, to do everything in one command (thanks, miyagawa!)
    (RT#84415)
  - avoid fatal error when lib/ doesn't exist (now it is simply skipped)
    (RT#84413, miyagawa)
  - fix to support for < 5.8 perls (haarg)
  - support for < 5.8 perls (RT#57811, haarg)
  - RT #79835: install bin/fatpack (lost in 0.009009 in the
    Module::Install -> Distar conversion)
  - enable temp file deletion in pack.t on Win32
  - RT #79489: %%fatpacked keys need to be unix paths
  - RT #78724: fix trace --to-stderr (ether)
  - RT #78391: Avoid using $_ when requiring modules
  - Allow capturing of trace information into return value
  - Add repsoitory metadata to META.YML
* Sat Jan 22 2011 coolo@novell.com
- initial package 0.009006
  * created by cpanspec 1.78.03
